aboutsummaryrefslogtreecommitdiff
path: root/debian/boca-web.postinst
diff options
context:
space:
mode:
authorCassio de Campos <cassiopc@gmail.com>2018-08-24 19:23:11 +0000
committerCassio de Campos <cassiopc@gmail.com>2018-08-24 19:23:11 +0000
commit27256ca804e34366f2413222be4e675fe63a4af9 (patch)
treeab6adbbd100e3d58c6af646fea0d026129ebfb04 /debian/boca-web.postinst
parentc8994053b1ff9ccf47b532be6567c0f7f33f5f3c (diff)
parent9f05ae47d104864162f264fe6415d73797e039bd (diff)
downloadboca-27256ca804e34366f2413222be4e675fe63a4af9.tar.gz
boca-27256ca804e34366f2413222be4e675fe63a4af9.zip
Merge branch 'devel' into develc
Diffstat (limited to 'debian/boca-web.postinst')
-rw-r--r--debian/boca-web.postinst24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/boca-web.postinst b/debian/boca-web.postinst
new file mode 100644
index 0000000..52071f4
--- /dev/null
+++ b/debian/boca-web.postinst
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+. /usr/share/debconf/confmodule
+
+chown -R www-data.www-data /var/www/boca
+chmod -R go-rwx /var/www/boca/src/private
+
+a2ensite default-ssl
+a2enmod ssl
+a2enmod socache_shmcb
+a2enmod proxy_fcgi
+
+# Make sure embedded apache php module is not loaded
+a2dismod php7.2 || true
+
+#enable php fpm instead
+a2enconf php7.2-fpm
+
+service apache2 restart || true
+
+#remember to reset possible stored password from debconf
+db_reset boca-common/dbpassword || true
+
+exit 0